[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# inportl

Read longint from I/O port

## Declaration

Source position: go32.pp line 178

`function inportl(`
`port: Word`
`):LongInt;`

## Description

Reads 1 longint from the selected I/O port.

Parameters:

port
  the I/O port number which is read.

Return values: Current I/O port value.

## Errors

None.

## See also

outportb |  | Write byte to I/O port
inportb |  | Read byte from I/O port
inportw |  | Read word from I/O port